# Class SplTokenMetadataProgram

#### Hierarchy

- SplTokenMetadataProgram

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:201

#####
Index

### Constructors

constructor

### Properties

programId

### Methods

createMetadataAccounts

## Constructors

### constructor

- new SplTokenMetadataProgram(): SplTokenMetadataProgram
- `Internal`

  #### Returns SplTokenMetadataProgram

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:205

## Properties

### `Static` programId

programId: PublicKey = ...

Public key that identifies the SPL Token Metadata program

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:210

## Methods

### `Static` createMetadataAccounts

- createMetadataAccounts(payer, mint, mintAuthority, name, symbol, updateAuthority, updateAuthorityIsSigner?, uri?, creators?, sellerFeeBasisPoints?, isMutable?, metadataAccount?): TransactionInstruction

- #### Parameters

  - ##### payer: PublicKey

  - ##### mint: PublicKey

  - ##### mintAuthority: PublicKey

  - ##### name: string

  - ##### symbol: string

  - ##### updateAuthority: PublicKey

  - ##### updateAuthorityIsSigner: boolean = false

  - ##### `Optional` uri: string

  - ##### `Optional` creators: Creator[]

  - ##### `Optional` sellerFeeBasisPoints: number

  - ##### isMutable: boolean = false

  - ##### metadataAccount: PublicKey = ...

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:214

Generated using TypeDoc